Linux Support (Beta)

Ask here if you experience technical problems with X4: Foundations.

Moderator: Moderators for English X Forum

fridl
Posts: 78
Joined: Sun, 22. Mar 09, 23:39
x4

Re: Linux Support (Beta)

Post by fridl » Mon, 3. Feb 20, 00:29

fridl wrote:
Sun, 20. Oct 19, 21:26
Ok, thats right, the Output from ldd tells as well:

Code: Select all

> ldd X4
./X4: /usr/lib64/liblber-2.4.so.2: no version information available (required by ./X4)
./X4: /usr/lib64/libldap_r-2.4.so.2: no version information available (required by ./X4)
./X4: /usr/lib64/libssl.so.1.0.0: version `OPENSSL_1.0.1' not found (required by ./X4)
I think I have the right versions of liblder and libldap, but the wrong of libssl. Perhaps therefore there is a issue with the other two libs as well. So I also hope for a change on egosofts side, because I can't find a place providing the "proper" libssl for my system... And I'm not that deep in the topic :wink:
Ok, after not been able to fix this I have a promising solution, that could be added to the official trouble shooting guide. When installing steam from flatpak/flathub (i don't know if it is officially supported) I have it running under my openSUSE installation. This could be a solution for steams dependency-troubles... Could also work for other games!

wasted90
Posts: 36
Joined: Fri, 2. Nov 18, 04:29
x4

Re: Linux Support (Beta)

Post by wasted90 » Mon, 3. Feb 20, 09:22

fridl wrote:
Mon, 3. Feb 20, 00:29
fridl wrote:
Sun, 20. Oct 19, 21:26
Ok, thats right, the Output from ldd tells as well:

Code: Select all

> ldd X4
./X4: /usr/lib64/liblber-2.4.so.2: no version information available (required by ./X4)
./X4: /usr/lib64/libldap_r-2.4.so.2: no version information available (required by ./X4)
./X4: /usr/lib64/libssl.so.1.0.0: version `OPENSSL_1.0.1' not found (required by ./X4)
I think I have the right versions of liblder and libldap, but the wrong of libssl. Perhaps therefore there is a issue with the other two libs as well. So I also hope for a change on egosofts side, because I can't find a place providing the "proper" libssl for my system... And I'm not that deep in the topic :wink:
Ok, after not been able to fix this I have a promising solution, that could be added to the official trouble shooting guide. When installing steam from flatpak/flathub (i don't know if it is officially supported) I have it running under my openSUSE installation. This could be a solution for steams dependency-troubles... Could also work for other games!
normally steam packages are shipped bundled with a runtime-environment to avoid library issues. maybe your installation of the opensuse package wasnt configured properly to use this runtime/ run with system librarys.
the arch wiki has more information on this: https://wiki.archlinux.org/index.php/St ... am_runtime

fridl
Posts: 78
Joined: Sun, 22. Mar 09, 23:39
x4

Re: Linux Support (Beta)

Post by fridl » Mon, 3. Feb 20, 10:19

wasted90 wrote:
Mon, 3. Feb 20, 09:22
normally steam packages are shipped bundled with a runtime-environment to avoid library issues. maybe your installation of the opensuse package wasnt configured properly to use this runtime/ run with system librarys.
the arch wiki has more information on this: https://wiki.archlinux.org/index.php/St ... am_runtime
you may be right, i have had issues not just with x, but also with other games (not all). But I couldn't solve and tryed a lot. And I know other people have, too. Therefir this is a easy to use solution for most distros.

wasted90
Posts: 36
Joined: Fri, 2. Nov 18, 04:29
x4

Re: Linux Support (Beta)

Post by wasted90 » Mon, 3. Feb 20, 10:30

fridl wrote:
Mon, 3. Feb 20, 10:19

you may be right, i have had issues not just with x, but also with other games (not all). But I couldn't solve and tryed a lot. And I know other people have, too. Therefir this is a easy to use solution for most distros.
Good to hear you finally found a solution :)

_JD_
Posts: 64
Joined: Wed, 29. Oct 08, 16:05
x4

Re: Linux Support (Beta)

Post by _JD_ » Wed, 25. Mar 20, 23:13

Hi everyone, I just noticed some weird issue when I use X4 with a Joystick: very often all the scrollable menus they just reset to the top making very hard/annoying to check, for example, the reputation screen.
I wanted to check here if it's just me or if it's a common problem.

Since I'm playing the 3.0 beta branch, I opened already an issue there: viewtopic.php?f=192&t=423046

If you are experiencing the same issue could you please comment there, perhaps including some system specs, Joystick/HOTAS model and version of X4?

Rastuasi
Posts: 173
Joined: Mon, 1. Oct 18, 16:28
x4

Re: Linux Support (Beta)

Post by Rastuasi » Thu, 26. Mar 20, 00:59

The menu glitching is not linux nor beta related, I have that happen since day one and is a known bug in X4 regardless of OS. The manage plot is not a bug, it zones in and removes the zone outline edges and only shows what's in that zone.

User avatar
Lander1979
Posts: 936
Joined: Mon, 4. Aug 14, 05:18
x4

Re: Linux Support (Beta)

Post by Lander1979 » Fri, 27. Mar 20, 10:50

Linux BETA 10 Temporary Workaround.
Allows the Beta 10 to be launched on Linux.
Also makes both TM16000M flightsticks work.
Step 1.
Open settings on the steam launcher and force compatability mode to the latest Proton release(version 5.something).

Step 2.
Launch the game and start a new game to test whether everything is working. Then exit to Desktop.

Step 3.
Copy ~/YourUserName/.config/EgoSoft/X4/########/save to; ~/YourUserName/.local/share/Steam/steamapps/compatdata/######/pfx/dosdevices/c:/users/steamuser/My Documents/Egosoft/X4/########/
Launch the game.

Step 4.
Profit.
0101...0011...0011...0101...2!

steve_v
Posts: 99
Joined: Sun, 12. Jun 16, 08:39
x4

Re: Linux Support (Beta)

Post by steve_v » Fri, 27. Mar 20, 17:56

Lander1979 wrote:
Fri, 27. Mar 20, 10:50
Open settings on the steam launcher and force compatability mode to the latest Proton release(version 5.something).
By which you mean run the windows build in wine/proton. Not really a workaround WRT the GNU/Linux, because by setting "compatibility mode" to proton you're no longer running the GNU/Linux build at all.

"GNU/Linux build is broken with B10."
"Run the Windows build, it's a workaround!"
"Yeah, thanks but no thanks."

User avatar
Lander1979
Posts: 936
Joined: Mon, 4. Aug 14, 05:18
x4

Re: Linux Support (Beta)

Post by Lander1979 » Sat, 28. Mar 20, 04:51

The difference between the two versions is a 14mb patch so technically it is still the same build. In any case the problem has been hotfixed.

It is still a valuable workaround for those of us who use dual TM16000M Flightsticks, which still aren't detected correctly in the Native Linux version. They work perfectly under Proton 5.0-5.

No need to try to translate what I say .. <Personal follow-on remark removed. Alan Phipps> :sceptic:
Last edited by Alan Phipps on Sat, 28. Mar 20, 14:17, edited 1 time in total.
Reason: Removed unnecessary personal remark.
0101...0011...0011...0101...2!

Post Reply

Return to “X4: Foundations - Technical Support”